Skip to navigation

Get Run by ID

Beta
Get a single Run by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

run_idstringRequired
ID of the Run.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
creatorobject or nullOptional
User who created the run
entryobject or nullOptional
Entry that this run is attached to
schemaFieldslist of objects or nullOptional
Schema field values that belong to the run
archiveReasonstring or nullOptional
If the Run is archived, reason for archiving
archivedbooleanOptional
Whether the Run is archived
createdAtstring or nullOptional
DateTime at which the run was created
idstringOptional
isReviewedboolean or nullOptional
Whether this run is in a reviewed entry
modifiedAtstring or nullOptional
DateTime at which the run was last modified
projectobject or nullOptional
Project this run is in
schemaobject or nullOptional
Schema that this run belongs to
validationCommentstring or nullOptional
Comment for this run's validation status
validationStatusenum or nullOptional

Validation status of this run - must be either VALID or INVALID

Allowed values:

Errors

400
Run Get Request Bad Request Error
403
Run Get Request Forbidden Error
404
Run Get Request Not Found Error
429
Run Get Request Too Many Requests Error
500
Run Get Request Internal Server Error